From 7ec61619032767d27c9b8aca2f80376d713183d9 Mon Sep 17 00:00:00 2001
From: Fabien Boucher <fboucher@redhat.com>
Date: May 22 2023 10:44:31 +0000
Subject: EOL - f36 branch


---

diff --git a/FZCI.dhall/Arches.dhall b/FZCI.dhall/Arches.dhall
index 51fb077..75e7129 100644
--- a/FZCI.dhall/Arches.dhall
+++ b/FZCI.dhall/Arches.dhall
@@ -1,24 +1,17 @@
-let Union = < X86_64 | S390X | PPC64LE | I686 | ARMV7HL | AARCH64 >
+let Union = < X86_64 | S390X | PPC64LE | I686 | AARCH64 >
 
 let eq_def =
       { X86_64 = False
       , S390X = False
       , PPC64LE = False
       , I686 = False
-      , ARMV7HL = False
       , AARCH64 = False
       }
 
 in  { Type = Union
     , default = Union.X86_64
     , fedora =
-      [ Union.X86_64
-      , Union.S390X
-      , Union.PPC64LE
-      , Union.I686
-      , Union.ARMV7HL
-      , Union.AARCH64
-      ]
+      [ Union.X86_64, Union.S390X, Union.PPC64LE, Union.I686, Union.AARCH64 ]
     , epel8 = [ Union.X86_64, Union.PPC64LE, Union.AARCH64 ]
     , epel9 = [ Union.X86_64, Union.PPC64LE, Union.AARCH64 ]
     , show =
@@ -28,10 +21,8 @@ in  { Type = Union
             , S390X = "s390x"
             , PPC64LE = "ppc64le"
             , I686 = "i686"
-            , ARMV7HL = "armv7hl"
             , AARCH64 = "aarch64"
             }
             arch
     , isX86_64 = λ(arch : Union) → merge (eq_def ⫽ { X86_64 = True }) arch
-    , isARMV7HL = λ(arch : Union) → merge (eq_def ⫽ { ARMV7HL = True }) arch
     }
diff --git a/FZCI.dhall/Branches.dhall b/FZCI.dhall/Branches.dhall
index 1d3f8e6..81fcd87 100644
--- a/FZCI.dhall/Branches.dhall
+++ b/FZCI.dhall/Branches.dhall
@@ -4,11 +4,10 @@ let Arches = ./Arches.dhall
 
 let --| When changing that union, update the `all` attribute too
     Union =
-      < Rawhide | F36 | F37 | F38 | Epel8 | Epel9 >
+      < Rawhide | F37 | F38 | Epel8 | Epel9 >
 
 let eq_def =
       { Rawhide = False
-      , F36 = False
       , F37 = False
       , F38 = False
       , Epel8 = False
@@ -19,7 +18,6 @@ let show =
       λ(branch : Union) →
         merge
           { Rawhide = "rawhide"
-          , F36 = "f36"
           , F37 = "f37"
           , F38 = "f38"
           , Epel8 = "epel8"
@@ -27,14 +25,7 @@ let show =
           }
           branch
 
-let all =
-      [ Union.Rawhide
-      , Union.F38
-      , Union.F37
-      , Union.F36
-      , Union.Epel8
-      , Union.Epel9
-      ]
+let all = [ Union.Rawhide, Union.F38, Union.F37, Union.Epel8, Union.Epel9 ]
 
 let isRawhide = λ(branch : Union) → merge (eq_def ⫽ { Rawhide = True }) branch
 
@@ -56,7 +47,6 @@ in  { Type = Union
         λ(branch : Union) →
           merge
             { Rawhide = "rawhide"
-            , F36 = "f36"
             , F37 = "f37"
             , F38 = "f38"
             , Epel8 = "epel8"
@@ -66,28 +56,9 @@ in  { Type = Union
     , arches =
         λ(branch : Union) →
           merge
-            { Rawhide =
-                Prelude.List.filter
-                  Arches.Type
-                  ( λ(arch : Arches.Type) →
-                      Prelude.Bool.not (Arches.isARMV7HL arch)
-                  )
-                  Arches.fedora
-            , F36 = Arches.fedora
-            , F37 =
-                Prelude.List.filter
-                  Arches.Type
-                  ( λ(arch : Arches.Type) →
-                      Prelude.Bool.not (Arches.isARMV7HL arch)
-                  )
-                  Arches.fedora
-            , F38 =
-                Prelude.List.filter
-                  Arches.Type
-                  ( λ(arch : Arches.Type) →
-                      Prelude.Bool.not (Arches.isARMV7HL arch)
-                  )
-                  Arches.fedora
+            { Rawhide = Arches.fedora
+            , F37 = Arches.fedora
+            , F38 = Arches.fedora
             , Epel8 = Arches.epel8
             , Epel9 = Arches.epel9
             }
@@ -97,8 +68,6 @@ in  { Type = Union
           merge
             { Rawhide =
                 "https://kojipkgs.fedoraproject.org/repos/rawhide/latest/x86_64/"
-            , F36 =
-                "https://kojipkgs.fedoraproject.org/repos/f36-build/latest/x86_64/"
             , F37 =
                 "https://kojipkgs.fedoraproject.org/repos/f37-build/latest/x86_64/"
             , F38 =
diff --git a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
index 3e5edcd..43716ff 100644
--- a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
@@ -214,7 +214,6 @@ let getTestingFarmJobVars =
         let name =
               merge
                 { Rawhide = "Fedora-Rawhide"
-                , F36 = "Fedora-36"
                 , F37 = "Fedora-37"
                 , F38 = "Fedora-38"
                 , Epel8 = "CentOS-Stream-8"
@@ -225,7 +224,6 @@ let getTestingFarmJobVars =
         let distro =
               merge
                 { Rawhide = "fedora-rawhide"
-                , F36 = "fedora-36"
                 , F37 = "fedora-37"
                 , F38 = "fedora-38"
                 , Epel8 = "centos-stream-8"
diff --git a/FZCI.dhall/fedora-zuul-jobs/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
index 28955fd..f284224 100644
--- a/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
@@ -35,7 +35,6 @@ let createRpmInstallTestJob
               λ(branch : Branches.Type) →
                 merge
                   { Rawhide = Nodesets.getName Nodesets.Type.Fedora-Rawhide-VM
-                  , F36 = Nodesets.getName Nodesets.Type.Fedora-36-VM
                   , F37 = Nodesets.getName Nodesets.Type.Fedora-37-VM
                   , F38 = Nodesets.getName Nodesets.Type.Fedora-38-VM
                   , Epel8 = Nodesets.getName Nodesets.Type.Centos-8-VM
@@ -76,7 +75,6 @@ let createRpmTestJob
                 merge
                   { Rawhide =
                       Nodesets.getName Nodesets.Type.Fedora-Rawhide-VM-Medium
-                  , F36 = Nodesets.getName Nodesets.Type.Fedora-36-VM-Medium
                   , F37 = Nodesets.getName Nodesets.Type.Fedora-37-VM-Medium
                   , F38 = Nodesets.getName Nodesets.Type.Fedora-38-VM-Medium
                   , Epel8 = Nodesets.getName Nodesets.Type.Centos-8-VM

